<template>
  <form @submit=handleSubmit>
    <slot></slot>
    <button type="submit">Submit</button>
    <Error v-if=error :error=error />
  </form>
</template>

<script>
  import Error from './Error';

  export default {
    name: 'Form',
    props: {
      handleSubmit: Function,
      error: String,
    },
    components: { Error },
  }
</script>

<style scoped lang="scss">
  form {
    width: 100%;
    margin: 0 auto;

    input[type=text],
    input[type=number] {
      width: 100%;
      height: 30px;
      box-sizing: border-box;
      border-radius: 5px;
      border: 2px solid #E0E0E0;
      outline: none;
      margin: 0.5rem 0;
      padding-left: 0.5rem;
    }

    .row-container {
      display: flex;
      flex-direction: row;
      justify-content: space-between;

      > div {
        width: 45%;
      }

      input:first-child {
        margin-right: 1rem;
      }
    }

    button {
      display: block;
      margin: 1rem auto;
      background-color: #03A9F4;
      border: none;
      border-radius: 5px;
      padding: 0.5rem 2rem;
      color: #fff;
      font-size: 1.2rem;
      font-weight: 500;
      cursor: pointer;
      outline: none;
    }
  }
</style>
